const system=require("../../system");
const Dao=require("../dao.base");
class UserAddrDao extends Dao{
  constructor(){
    super(Dao.getModelName(UserAddrDao));
  }
  extraWhere(obj,w){
    if(obj.codepath && obj.codepath!=""){
      if(obj.codepath.indexOf("useraddr")>=0 ){
        w["createuser_id"]=obj.uid;
      }
    }
    return w;
  }
}
module.exports=UserAddrDao;
